html {
    background-color: black;
    color: white;
}

body,
html,
textarea,
input {
    background-color: rgb(26, 26, 26);
    color: rgb(224, 224, 224);
    font-family: 'Times New Roman', Times, serif;
    /* height:95%; */
}

.lightbox {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(7, 7, 7, 0.8);
    justify-content: center;
    align-items: center;
}


.lightbox-content {
    width: auto;
    height: auto;
    max-width: 99vw;
    max-height: 99vh;
    object-fit: contain;
}


.close {
    position: absolute;
    top: 20px;
    right: 30px;
    font-size: 40px;
    color: white;
    cursor: pointer;
    font-weight: bold;
}

.goback {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    text-decoration: none;
    color: rgb(111, 110, 138);
    font-size: 11pt;
    text-align: center;
    max-width: max-content;
    margin: 0 auto;
}

.goback a {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    text-decoration: none;
    color: rgb(111, 110, 138);
    font-size: 11pt;
    text-align: center;
    max-width: max-content;
    margin: 0 auto;
}

.goback a:hover {
    transform: scale(1.20);
}


a.underline-link {
    text-decoration: underline;
    color: rgb(178, 177, 206);
}

a.link {
    text-decoration: none;
    color: rgb(178, 177, 206);
}

a.link:hover {
    text-decoration: underline;
}

a.hover-link {
    text-decoration: none;
    color: rgb(111, 110, 138);
    font-size: 16px;
    display: inline-block;
    padding: 5px;
}

a.hover-link:hover {
    transform: scale(1.20);
}

.textbox {
    background-color: rgb(71, 71, 71);
    max-width: 40%;
    margin: auto;
    padding: 50px;
    text-align: left;
}

.textbox-wide {
    background-color: rgb(71, 71, 71);
    max-width: 70%;
    margin: auto;
    padding: 50px;
    text-align: left;
    overflow: visible;
}

.divider {
    width: 100%;
    height: 2px;
    background-color: #333;
    margin: 20px auto;
    border: none;
}

/* Style for the tooltip container */
.tooltip {
    position: relative;
    cursor: pointer;
    /* color: #007BFF; */
    display: inline-block;
    text-decoration: underline;
    color: rgb(147, 214, 191);

}

.tooltip-left {
    position: relative;
    cursor: pointer;
    /* color: #007BFF; */
    display: inline-block;
    text-decoration: underline;
    color: rgb(147, 214, 191);
}

.tooltip-right {
    position: relative;
    cursor: pointer;
    /* color: #007BFF; */
    display: inline-block;
    text-decoration: underline;
    color: rgb(147, 214, 191);
}

.tooltip::after {
    content: attr(data-tooltip);
    width: 30vw;
    max-width: 90vw;
    bottom: 100%;
    left: 50%;
    transform: translateX(-50%);
    margin-left: 0;
    visibility: hidden;
    background-color: #252525;
    color: rgb(224, 224, 224);
    text-align: center;
    padding: 5px 10px;
    position: absolute;
    z-index: 10;
}

.tooltip-left::after {
    content: attr(data-tooltip-left);
    width: 30vw;
    max-width: 900vw;
    top: 50%;
    transform: translateY(-50%);
    left: auto;
    right: 100%;
    margin-right: 10px;
    visibility: hidden;
    background-color: #252525;
    color: rgb(224, 224, 224);
    text-align: center;
    padding: 5px 10px;
    position: absolute;
    z-index: 10;
}

.tooltip-left:hover::after {
    visibility: visible;
}

.tooltip-right::after {
    content: attr(data-tooltip-right);
    width: 30vw;
    max-width: 900vw;
    top: 50%;
    transform: translateY(-50%);
    right: auto;
    left: 100%;
    margin-left: 10px;
    visibility: hidden;
    background-color: #252525;
    color: rgb(224, 224, 224);
    text-align: center;
    padding: 5px 10px;
    position: absolute;
    z-index: 10;
}


.tooltip:hover::after {
    visibility: visible;
}

.tooltip-left:hover::after {
    visibility: visible;
}

.tooltip-right:hover::after {
    visibility: visible;
}

.definitionmark {
    font-size: 0.7em;
    text-decoration: underline;
    text-align: center;
}


footer {
    text-align: center;
    padding-top: 20px;
    padding: 10px;
    font-size: 12px;
}

.console-log {
    width: 50%;
    margin: 5px auto;
    background-color: #000000;
    color: #cccccc;
    padding: 5px 5px;
    font-family: 'Consolas', 'Monaco', 'Courier New', monospace;
    font-size: 14px;
    text-align: left;
}
.console-log p {
    margin: 0;
    padding: 0;
}z